#!/usr/bin/python
import os, sys, csv, string
# execfile() - per comandi in batch
#
# os.system('ls')
# comando="less " + str(nome)
# os.system(comando)
#
# ### --- Analysis steps ---
#(the default map name is "mediterraneolarge.bmp", while the data set is caulerpaprol.csv (csv file with the #sites of Caulerpa prolifera in the Mediterranean)
# 1) SIlohuette on data set->check by eye the most probable number of clusters
# 2) perform kmeans analysis with the number of clusters indicated by Silhouette
# 3) Geoprofiling of each cluster
# 4) execute voronoi on the clusters centroids and the input map - comando: voronoy.py
#
# ------------------------------------------------------------------------------

#
ESEGUI=True

NUM_CLUST=4
BASE_NAME="out.csv"
FILE_NAME="miei_"+str(NUM_CLUST)+"_clust_"+BASE_NAME
DATA_FILE="caulerpaprol.csv"
MAP_NAME="mediterraneolarge.bmp"

print " "
print "i execute the kmeans"
#comando="python kmeans0_57.py "+ str(NUM_CLUST)+" "+str(NUM_POINT_X_CLUST)+" "+str(STD_DEV)+" "+FILE_NAME

#

#
#print "copio i dati dei punti"
#comando="copy "+FILE_NAME+" "+DATA_FILE
#print comando
#print " "
#if ESEGUI:
# os.system(comando)
#
# esegue la ricostruzione su tutti i dati
#
print "eseguo la ricostruzione"
comando="python Geoprof2_0_5csv.py mediterraneolarge.bmp caulerpaprol.csv risults B E 10 0.4 0.4"
print comando
print " "
if ESEGUI:
 os.system(comando)
#
#
#python kmeans0_57.py caulerpaprol.csv 4 N
print "calcolo le k medie"
comando="python kmeans0_57.py "+DATA_FILE+" "+ str(NUM_CLUST) +" N"
print comando
print " "
if ESEGUI:
 os.system(comando)
#
# esegue il voronoy 
#
print "eseguo il voronoi sui dati clusterizzati"
comando="python voronoi2.0.py "+ MAP_NAME +" "+ str(NUM_CLUST) +" "+DATA_FILE
print comando
print " "
if ESEGUI:
 os.system(comando)
#
# mettere qui i codici per fare le ricostruzioni dei centroidi dei sigoli cluster
#
print "eseguo il geoprofiling sui singoli cluster"
for i in range (NUM_CLUST):
    comando="python Geoprof2_0_5csv.py "+ MAP_NAME +" cluster"+str(i+1)+"di"+str(NUM_CLUST)+DATA_FILE+".txt risults"+str(i+1)+"clust B E 10 0.4 0.4"
    print comando 
    print " "
    if ESEGUI:
        os.system(comando)
print "\nfine"
